Get box names for a given application. | Algorand Developer Portal
Get box names for a given application.
GET
/v2/applications/{application-id}/boxes
Given an application ID, returns the box names of that application sorted lexicographically.
Parameters
Path Parameters
application-id
required
integer
Query Parameters
limit
integer
Maximum number of results to return. There could be additional pages even if the limit is not reached.
next
string
The next page of results. Use the next token provided by the previous results.
include
Array
Allowed values: values
Include additional items in the response. Use values to include box values. Multiple values can be comma-separated.
Responses
200
Box names of an application
Media type: application/json
Response structure:
- application-id: required, integer, [appidx] application index.
- boxes: required, Array
- next-token: Used for pagination, when making another request provide this token with the next parameter, string
- round: The round for which this information is relevant, integer
400
Response for errors
Media type: application/json
Response structure:
- data: object
- message: required, string
404
Response for errors
Media type: application/json
Response structure:
- data: object
- message: required, string
500
Response for errors
Media type: application/json
Response structure:
- data: object
- message: required, string